libnvme(2)

NAME
enum nvmf_tcp_sectype - Transport Specific Address Subtype Definition for NVMe/TCP Transport

SYNOPSIS
enum nvmf_tcp_sectype {
NVMF_TCP_SECTYPE_NONE ,
NVMF_TCP_SECTYPE_TLS ,
NVMF_TCP_SECTYPE_TLS13

};

Constants

NVMF_TCP_SECTYPE_NONE
    No Security

NVMF_TCP_SECTYPE_TLS
    Transport Layer Security version 1.2

NVMF_TCP_SECTYPE_TLS13
    Transport Layer Security version 1.3 or a subsequent version. The TLS protocol negotiates the version and cipher suite for each TCP connection.